<?php
/**
 * FamilyEventMemberDat Entity
 * $Id: FamilyEventMemberDat.inc,v 1.1 2020/2/14 16:39:17 Exp $
 * @author zb
 * @package jp.compass.entity
 * @access public
 */
class FamilyEventMemberDat extends CompassDynamicData
{
	var $family_event_id;
	var $user_id;
	var $comment;
	var $images;
	var $status;
	var $point;
	var $delete_flg;

	/**
	 * 构造实现。family_event_member_dat创建实例。
	 * 
	 * @access public
	 * @param mixed family_event_member_dat
	 */
	function constructor($record)
	{
		parent::constructor($record);

		$this->family_event_id = $record["family_event_id"];
		$this->user_id         = $record["user_id"];
		$this->comment         = $record["comment"];
		$this->images          = $record["images"];
		$this->status          = $record["status"];
		$this->point           = $record["point"];
		$this->delete_flg      = $record["delete_flg"];
	}

	/**
	 * 根据条件,获取数据列表。
	 * 条件与DBManager的doSelect相同。
	 * @access public
	 * @static
	 * @param array 检索条件
	 * @return array Entity的队列
	 */
	public static function getList($w_param = null, $orderkey = null, $direction = "ASC", $offset = null, $limit = null)
	{
		if ($w_param == null) {
			$w_param = array();
			$w_param["delete_flg"] = "false";
		}

		return CompassDBHandler::getList("FamilyEventMemberDat", "family_event_member_dat", $w_param, $orderkey, $direction, $offset, $limit);
	}

	/**
	 * 根据条件，获取数据列表的件数。
	 * 条件与DBManager的doSelect相同。
	 * @access public
	 * @static
	 * @param array 检索条件
	 * @return array Entity的队列
	 */
	public static function getListCount($w_param = null)
	{
		if ($w_param == null) {
			$w_param = array();
			$w_param["delete_flg"] = "false";
		}
		$db = CompassDBManager::getInstance();
		$result = $db->doSelect("family_event_member_dat", $w_param, null, null, null, null, "count(*) as count");

		return $result[0]["count"];
	}

	/**
	 * 获得此类指定ID的实例。
	 */
	public static function getById($id)
	{
		// delete_flg
		$param = array();
		$param["delete_flg"] = false;

		return CompassDBHandler::getById("FamilyEventMemberDat", "family_event_member_dat", $id, $param);
	}

	// -- 这里开始Dynamic ---
	/**
	 * 将此实例写入DB。
	 * DynamicData共用的保存方法。
	 * @access public
	 * @return int 写入实例的ID
	 */
	public function save()
	{
		$v_param = array();

		ParamUtil::copyObj2Array($v_param, $this, "family_event_id");
		ParamUtil::copyObj2Array($v_param, $this, "user_id");
		ParamUtil::copyObj2Array($v_param, $this, "comment");
		ParamUtil::copyObj2Array($v_param, $this, "images");
		ParamUtil::copyObj2Array($v_param, $this, "status");
		ParamUtil::copyObj2Array($v_param, $this, "point");
		ParamUtil::copyObj2Array($v_param, $this, "delete_flg");

		// 保存
		parent::_save("family_event_member_dat", $v_param);
	}
}